Bug 90418 - devel/cvsweb3: Wrong install location with www/apache22
Summary: devel/cvsweb3: Wrong install location with www/apache22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-15 06:00 UTC by t_uemura
Modified: 2005-12-26 00:04 UTC (History)
0 users

See Also:


Attachments
file.diff (471 bytes, patch)
2005-12-15 06:00 UTC, t_uemura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description t_uemura 2005-12-15 06:00:10 UTC
              www/apache22 installs its data files to ${PREFIX}/www/apache22 though, devel/cvsweb3 fails to find this directory.

Fix: Apply following patch.
How-To-Repeat:               Install www/apache22 via ports, then install devel/cvsweb3.
Comment 1 Edwin Groothuis freebsd_committer 2005-12-15 06:03:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Jonathan Noack 2005-12-15 06:49:31 UTC
Why does www/apache22 have to be different?  *sigh*  In any case, I 
approve the change but hope we can come up with a consistent scheme for 
all apache ports that can be easily detected by other ports.  I not 
smart enough to determine one on my own, but here's to hoping...

-Jonathan
Comment 3 Edwin Groothuis freebsd_committer 2005-12-15 06:55:13 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 4 Pav Lucistnik freebsd_committer 2005-12-17 21:12:15 UTC
Our local Apache guru (clement) suggests to install web applications
outside apache www_data. Good one would be ${PREFIX}/www/${PORTNAME} ...

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Pilot to Co-Pilot: Boo.
Comment 5 Edwin Groothuis freebsd_committer 2005-12-26 00:04:57 UTC
State Changed
From-To: open->closed

Committed, thanks!